Subject: bug#195: menu bar misbehavior during (ispell-buffer)

From: Lars Ingebrigtsen <[email-masked]>
Date: Mon, 30 Sep 2019 08:00:02 +0200

Chong Yidong <[email-masked]> writes:

>> When (ispell-buffer) is underway in one frame, and the displayed
>> buffer in another frame has different/additional menu bar items,
>> selecting that second frame doesn't update the menu bar.  However,
>> clicking on the menu bar *does* trigger a change to the menu bar
>> categories, which means you may click on the wrong item!  (i.e. the
>> menu bar item under the mouse pointer may not be the same with or
>> without mouse-1)
>
> I checked in code to cause ispell to quit if the user enters a
> frame-switch event or clicks in another frame.
>
> This fix isn't perfect: it doesn't kick in if the user clicks directly
> on a GTK menu (though it does cause quit when the user later leaves the
> menu).  However, this may be a limitation of our GTK support, and OTOH I
> don't see how to make it work.

If I understand correctly, this change fixed the most pressing problem,
and the other one is one that we can't fix, so I'm closing this bug
report.  Please reopen if that's a misunderstanding.

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no